#!/usr/bin/env ruby

$KCODE= 'e'

require '../src/suikyo'

def main
  suikyo = Suikyo.new
#  suikyo.table.loadfile("tcode_dvorak")
  suikyo.table.loadfile("hiragana-kana")
#  suikyo.table.loadfile("romaji-kana")
#  suikyo.table.loadfile("romaji-kana_skk-mark")
#  suikyo.table.loadfile("kana-romaji")

  while true do
    line = gets
    line.chomp!
    (base, pat) = suikyo.convert(line)
    puts "==== [Suikyo#convert]"
    puts base
    puts "----"
    puts pat
    
    (base, pats) = suikyo.expand(line)
    puts "==== [Suikyo#expand]"
    puts base
    puts "----"
    pats.each {|conv|
      puts conv
    }

    puts "==== [Suikyo#valid?]"
    if suikyo.valid?(line) then
      puts "valid"
    else
      puts "invalid"
    end
  end
end

main

